# classes/phing/types/selectors/SelectorScanner.php

An interface used to describe the actions required by any type of directory scanner that supports Selecters.

author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Bruce Atherton <bruce@callenish.com> (Ant)
package
  phing.types.selectors

## \SelectorScanner
jump to top

An interface used to describe the actions required by any type of directory scanner that supports Selecters.

author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Bruce Atherton <bruce@callenish.com> (Ant)
package
  phing.types.selectors

### Methods

`getDeselectedDirectories( ) :`
Directories which were selected out of a scan.
`getDeselectedFiles( ) :`
Files which were selected out of a scan.
`setSelectors( \selectors $selectors ) :`
Sets the selectors the scanner should use.
Parameters

Name | Type | Description
--- | --- | ---
$selectors | \selectors | the list of selectors

Documentation was generated by DocBlox 0.13.1.